package com.weilab.biology.core.data.enums;

import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 校区的枚举类
 */
@Getter
public enum JobStatusEnum {
    WAIT(0, "waiting"),
    RUNNING(1, "running"),
    SUCCESS(2, "success"),
    REQED(3, "requested"),
    FAIL(-1, "failed"),
    TIMEOUT(-2, "timeout"),
    CREATING(-3, "creating"),
    ;

    private final Integer key;
    private final String remark;

    private final static Map<Integer, JobStatusEnum> HOLDER = new HashMap<>();

    static {
        for (JobStatusEnum e : JobStatusEnum.values()) {
            HOLDER.put(e.key, e);
        }
    }

    private JobStatusEnum(Integer key, String remark) {
        this.key = key;
        this.remark = remark;
    }

    public static String getRemark(Integer key) {
        return HOLDER.get(key).remark;
    }

    public static JobStatusEnum getEnumByKey(Integer key) {
        return HOLDER.get(key);
    }

}
